curl --request DELETE \
--url https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"chainType": "aptos",
"createdAt": 123,
"id": "<string>",
"onChain": {
"call": {
"data": "<unknown>",
"to": "<string>"
},
"explorerLink": "<string>",
"txId": "<string>"
},
"params": {
"call": {
"abi": [
"<unknown>"
],
"address": "<string>",
"args": [
"<unknown>"
],
"functionName": "<string>"
},
"chain": "abstract"
},
"status": "awaiting-approval",
"walletType": "mpc",
"approvals": {
"pending": [
{
"quorumApprovals": {
"pending": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>"
}
],
"remaining": 123,
"submitted": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>",
"signature": "<string>",
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"submitted": [
{
"quorumApprovals": {
"pending": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>"
}
],
"remaining": 123,
"submitted": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>",
"signature": "<string>",
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"required": 123
},
"completedAt": 123,
"error": {
"message": "<string>",
"reason": "program_error",
"logs": "<unknown>",
"revertData": {}
},
"fees": {
"mode": "project",
"actual": "<unknown>",
"billed": {
"usd": 123
},
"billing": {
"status": "failed"
},
"estimate": "<unknown>"
},
"sendParams": {
"params": {
"recipient": "<string>",
"recipientAddress": "<string>",
"amount": "<string>"
},
"token": "<string>"
},
"validUntil": 123
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}Remove Delegated Signer
Remove an operational signer from a smart wallet.
API scope required: wallets.create
curl --request DELETE \
--url https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/signers/{signer}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"chainType": "aptos",
"createdAt": 123,
"id": "<string>",
"onChain": {
"call": {
"data": "<unknown>",
"to": "<string>"
},
"explorerLink": "<string>",
"txId": "<string>"
},
"params": {
"call": {
"abi": [
"<unknown>"
],
"address": "<string>",
"args": [
"<unknown>"
],
"functionName": "<string>"
},
"chain": "abstract"
},
"status": "awaiting-approval",
"walletType": "mpc",
"approvals": {
"pending": [
{
"quorumApprovals": {
"pending": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>"
}
],
"remaining": 123,
"submitted": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>",
"signature": "<string>",
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"submitted": [
{
"quorumApprovals": {
"pending": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>"
}
],
"remaining": 123,
"submitted": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>",
"signature": "<string>",
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"required": 123
},
"completedAt": 123,
"error": {
"message": "<string>",
"reason": "program_error",
"logs": "<unknown>",
"revertData": {}
},
"fees": {
"mode": "project",
"actual": "<unknown>",
"billed": {
"usd": 123
},
"billing": {
"status": "failed"
},
"estimate": "<unknown>"
},
"sendParams": {
"params": {
"recipient": "<string>",
"recipientAddress": "<string>",
"amount": "<string>"
},
"token": "<string>"
},
"validUntil": 123
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
Query Parameters
The chain to remove the signer from. Required for EVM wallets.
apechain, arbitrum, arbitrum-sepolia, arbitrumnova, arc, arc-testnet, avalanche, avalanche-fuji, base, base-sepolia, bsc, celo, celo-sepolia, curtis, ethereum, ethereum-sepolia, flow, flow-testnet, mantle, mantle-sepolia, optimism, optimism-sepolia, polygon, polygon-amoy, robinhood-chain, robinhood-chain-testnet, scroll, scroll-sepolia, shape, story, story-testnet, tempo, tempo-testnet, zora, zora-sepolia The recovery method that authorizes this operation. Required when the wallet has multiple recovery methods.
"passkey:cWtP7gmZbd98HbKUuGXx5Q"
"api-key:123456789"
"external-wallet:0x1234567890123456789012345678901234567890"
"server:0x1234567890123456789012345678901234567890"
"email:test@example.com"
"phone:+1234567890"
"device:BIVmCqMz8QJB+se2kJEpGQ..."
"quorum:123e4567-e89b-12d3-a456-426614174000"
When approver is a Solana quorum, the members designated to approve: exactly threshold distinct member locators. Required when a Solana quorum acts: only the designated members are asked to approve, and all of them must. Ignored on EVM and Stellar. Repeat the parameter once per member.
A signer locator that can be either a of format '' for external wallet type signers or ':'
Response
The delegated signer removal has been initiated.
- EVM MPC Wallet
- EVM Smart Wallet
- Stellar Smart Wallet
- Solana Smart Wallet
- Solana MPC Wallet
Complete transaction response including status, signing requirements, and wallet type specific data
Was this page helpful?

